#!/bin/bash

# Boot the emulated system to a shell prompt.

ARCH=mips64
run_emulator()
{
  [ ! -z "$DEBUG" ] && set -x
  qemu-system-mips64 -M malta -nographic -no-reboot -kernel vmlinux -hda hda.sqf -append "root=/dev/hda rw init=/sbin/init.sh panic=1 PATH=$DISTCC_PATH_PREFIX/bin:/sbin console=ttyS0 HOST=mips64 $KERNEL_EXTRA" $QEMU_EXTRA
}

if [ "$1" != "--norun" ]
then
  run_emulator
fi
